Subject: bug#60429: closed (Re: [bug#60429] [PATCH v3 0/5] gnu: yosys: Update to 0.24.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Feb 2023 20:42:02 +0000

Your bug report

#60429: [PATCH 0/5] gnu: yosys: Update to 0.24.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60429: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60429
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#60429] [PATCH v3 0/5] gnu: yosys: Update to 0.24.
From: Christopher Baines <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 11 Feb 2023 20:38:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon South <[email-masked]> writes:

> Here's a third revision of the remaining two patches in this series.  These
> updated patches now
>
> - Remove the remaining propagated inputs (abc and z3) from the yosys package
>   via changes to its "fix-paths" and "use-external-abc" phases, and
>
> - Update Yosys to version 0.26.

Thanks for the update, I made a tweak and pushed these to master as
8553148dfb91a9957b95c7bc6bc108cc0a973f9e.

> Note the second patch adds python and python-click as new propagated inputs.
> The Click library is needed by the "yosys-witness" command, and including both
> it and the Python interpreter in propagated-inputs is the only combination
> I've found that will cause Guix to set GUIX_PYTHONPATH appropriately on
> installation so this command can function.
>
> This appears to be supported by the Guix manual (in the sections "Search
> Paths" and "Python Modules") but if there's a better approach, please let me
> know.

I believe the good approach to do this is to wrap the relevant
script. I've gone ahead and changed the patch to do this rather than add
the propagated inputs. Do let me know if there's a problem with this
approach though, as I don't know how to test this software as well as
you.

Thanks again,

Chris

Subject: [PATCH 0/5] gnu: yosys: Update to 0.24.
From: Simon South <[email-masked]>
To: [email-masked]
Date: Fri, 30 Dec 2022 10:58:32 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Here's a patch series that aims to improve the package for Yosys, a tool for
synthesizing Verilog RTL designs, by

- Updating the source-repository and home-page URLs to their current location;

- Updating the package definition to the modern style, using gexps and
  search-input-file;

- Having Yosys use the "abc" executable from Guix's package rather than
  creating and installing a duplicate copy;

- Explicitly propagating packages with executables Yosys invokes at runtime
  rather than embedding store references in Yosys' code; and

- Updating Yosys to version 0.24.

I've tested building the package and its dependencies on x86-64 and AArch64
and everything seems okay[0].  Again, arachne-pnr fails to build in any case
and will need separate attention.

[0] Yosys' README.md file includes sample sessions useful for testing,
    particularly whether external tools can be invoked via the "show" and
    "abc" commands:

    https://github.com/YosysHQ/yosys/blob/3ebc50d/README.md#getting-started

    The files "fiedler-cooley.v" and "mycells.lib" are present in the source
    tree.

--
Simon South
[email-masked]

Simon South (5):
  gnu: yosys: Update source and home-page URLs.
  gnu: yosys: Use new package style.
  gnu: yosys: Use external abc.
  gnu: yosys: Propagate external dependencies.
  gnu: yosys: Update to 0.24.

 gnu/packages/fpga.scm | 120 ++++++++++++++++--------------------------
 1 file changed, 45 insertions(+), 75 deletions(-)

base-commit: 01762b7171f9afaf7ffa364f7926461bdebc903f
-- 
2.38.1